org.apache.lucene.util.fst

## Class UpToTwoPositiveIntOutputs.TwoLongs

- java.lang.Object
- - org.apache.lucene.util.fst.UpToTwoPositiveIntOutputs.TwoLongs

- Enclosing class:
    UpToTwoPositiveIntOutputs

      public static final class UpToTwoPositiveIntOutputs.TwoLongs
      extends Object

  Holds two long outputs.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `first`
    `long` | `second`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpToTwoPositiveIntOutputs.TwoLongs(long first, long second)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object _other)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### first

          public final long first

    - #### second

          public final long second

  - ### Constructor Detail

    - #### UpToTwoPositiveIntOutputs.TwoLongs

          public UpToTwoPositiveIntOutputs.TwoLongs(long first,
                                            long second)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object _other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.